Bug 201660 - Compiler fails when tryng to build firefox-1.5.0.6
Compiler fails when tryng to build firefox-1.5.0.6
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-07 20:42 EDT by Miguel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 14:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source stored (185.13 KB, application/octet-stream)
2006-08-07 20:45 EDT, Miguel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 28132 None None None Never

  None (edit)
Description Miguel 2006-08-07 20:42:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.8.0.4) Gecko/20060614 Fedora/1.5.0.4-1.2.fc5 Firefox/1.5.0.4 pango-text

Description of problem:
The building of the rpm package always produce an error


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Try to build firefox-1.5.0.6 using the src.rpm
2.
3.

Actual Results:
jsmath.c:396: error: unrecognizable insn:
(insn 61 94 62 4 (parallel [
            (set (mem/i:DF (reg/f:SI 96) [0 S8 A32])
                (neg:DF (mem/i:DF (reg/f:SI 97) [0 S8 A32])))
            (use (const_int 0 [0x0]))
            (clobber (reg:CC 17 flags))
        ]) -1 (nil)
    (nil))
jsmath.c:396: internal compiler error: in instantiate_virtual_regs_in_insn, at function.c:1555


Expected Results:


Additional info:
Comment 1 Miguel 2006-08-07 20:45:39 EDT
Created attachment 133765 [details]
Preprocessed source stored
Comment 2 Jakub Jelinek 2006-08-09 14:17:23 EDT
This is already tracked upstream.

Note You need to log in before you can comment on or make changes to this bug.